<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <div v-if="boutique">
        <h2 class="jh-entity-heading" data-cy="boutiqueDetailsHeading">
          <span v-text="$t('coopcycleApp.boutique.detail.title')">Boutique</span> {{ boutique.id }}
        </h2>
        <dl class="row jh-entity-details">
          <dt>
            <span v-text="$t('coopcycleApp.boutique.idBoutique')">Id Boutique</span>
          </dt>
          <dd>
            <span>{{ boutique.idBoutique }}</span>
          </dd>
          <dt>
            <span v-text="$t('coopcycleApp.boutique.produit')">Produit</span>
          </dt>
          <dd>
            <div v-if="boutique.produit">
              <router-link :to="{ name: 'ProduitView', params: { produitId: boutique.produit.id } }">{{ boutique.produit.id }}</router-link>
            </div>
          </dd>
        </dl>
        <button type="submit" v-on:click.prevent="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
          <font-awesome-icon icon="arrow-left"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.back')"> Back</span>
        </button>
        <router-link v-if="boutique.id" :to="{ name: 'BoutiqueEdit', params: { boutiqueId: boutique.id } }" custom v-slot="{ navigate }">
          <button @click="navigate" class="btn btn-primary">
            <font-awesome-icon icon="pencil-alt"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.edit')"> Edit</span>
          </button>
        </router-link>
      </div>
    </div>
  </div>
</template>

<script lang="ts" src="./boutique-details.component.ts"></script>
